=== requirements.txt ===
filelock>=3.12.3
packaging>=24
setuptools>=65.6.3,<=80.4.0
tomli>=2.0.1 ;python_version < '3.11'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'x86_64'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'i686'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'aarch64'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'armv7l'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'ppc64le'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 's390x'
dmgbuild>=1.6.1 ;sys_platform == 'darwin'
cabarchive>=0.2.4 ;sys_platform == 'win32'
cx_Logging>=3.1 ;sys_platform == 'win32' and platform_machine != 'ARM64'
lief>=0.15.1,<=0.16.5 ;sys_platform == 'win32' and platform_machine != 'ARM64'
striprtf>=0.0.26 ;sys_platform == 'win32'
